/*----------------------------------------------------------
*****************  伍剑 斗地主 1.0  *****************
作者：张辉
网站：http://www.wj008.net 
程序员代号：wj008
联系QQ：496865687
版权：版权全体,源代码公开,各种用途均可免费使用
**********************************************************
----------------------------------------------------------*/
function SZPX(str)
{

	var a=new Array();
	for(var l=6;l>4;l--)
	{
	for(var j=0;j<str.length;j++)
	{
	
	if(str[j].Munber==("14-"+l))
	{
	a[a.length]=str[j];
	//alert(str[j].Munber)
	}
	}
	}
	
	for(var i=2;i>0;i--)
	{
	for(var l=4;l>0;l--)
	{
	for(var j=0;j<str.length;j++)
	{
	
	if(str[j].Munber==(i+"-"+l))
	{
	a[a.length]=str[j];
	//alert(str[j].Color+'|'+str[j].Munber)
	}
	}
	}
	}
	for(var i=13;i>2;i--)
	{
	for(var l=4;l>0;l--)
	{
	for(var j=0;j<str.length;j++)
	{
	
	if(str[j].Munber==(i+"-"+l))
	{
	a[a.length]=str[j];
	//alert(str[j].Color+'|'+str[j].Munber)
	}
	}
	}
	}
	return a;
}

function SZPX2(str)
{

	var a=new Array();
	for(var l=6;l>4;l--)
	{
	for(var j=0;j<str.length;j++)
	{
	
	if(str[j]==("14-"+l))
	{
	a[a.length]=str[j];
	//alert(str[j].Munber)
	}
	}
	}
	
	for(var i=2;i>0;i--)
	{
	for(var l=4;l>0;l--)
	{
	for(var j=0;j<str.length;j++)
	{
	
	if(str[j]==(i+"-"+l))
	{
	a[a.length]=str[j];
	//alert(str[j].Color+'|'+str[j].Munber)
	}
	}
	}
	}
	for(var i=13;i>2;i--)
	{
	for(var l=4;l>0;l--)
	{
	for(var j=0;j<str.length;j++)
	{
	
	if(str[j]==(i+"-"+l))
	{
	a[a.length]=str[j];
	//alert(str[j].Color+'|'+str[j].Munber)
	}
	}
	}
	}
	return a;
}
//删除对象
function del(str)
{
	if(str!=null)
	{
	for(var j=0;j<str.length;j++)
	{   
		if(str[j]!=null)
		str[j].remove();
	}
	}
}
function AddCard(str)
{

	var t=$("KK");
	t.value+="["+str+"]";
	var gstr=t.value;
	gstr=GetPaxing(gstr);
	if(gstr!="")
	{
	M_PaiXinText.SetHtml(gstr);
    M_PaiXinText.SetV(true);
	}
	else
	M_PaiXinText.SetV(false);
}
function RemCard(str)
{

	var t=$("KK");
	var ts=t.value;
	ts=ts.replace("\["+str+"\]","");
	t.value=ts;
	var gstr=t.value;
	gstr=GetPaxing(gstr);
    if(gstr!="")
	{
	 M_PaiXinText.SetHtml(gstr);
     M_PaiXinText.SetV(true);
	}
	else
	M_PaiXinText.SetV(false);
}

function StrToArray(Str){
	var Strs= Str.split("][");
	var len=Strs.length;
	Strs[0]=Strs[0].replace("[","");
	Strs[len-1]=Strs[len-1].replace("]","");
	return Strs;
}
function GetMinCard(Str)
{
	if(Str=="")
	return "-"
	else
	{
		var Arr=StrToArray(Str)
		Arr=SZPX2(Arr)
		len=Arr.length
		return "["+Arr[len-1]+"]";
	}
}

